community
cancel
Showing results for 
Search instead for 
Did you mean: 

Dev Space

Customize & extend the power of Alteryx. SDKs, APIs, custom tools, and more!
C# (.NET) SDK Deprecation Announcement

Learn more about the updates coming in December 2019

CLICK HERE
SOLVED

Adapting Custom Tools for Older Alteryx Versions

Bolide

Hello,

 

I have a custom tool I built in C# for version 11.5 and subsequently upgraded to 11.7.  However, I've had several requests to adjust the tool to work with older versions of Alteryx.  What is the best way to accomplish this?  Do I need to download and install older versions of Alteryx, pull the old DLL into my project, and recompile and redistribute from there?

 

Thanks,

 

Rick

Alteryx
Alteryx

That sounds right, but I'm not certain. Perhaps @LindaT or @Ned could answer that.

Highlighted
Founder
Founder
Recompiling will definitely work, but presuming you haven't used any new features, there is a good chance that you can just drop your plugin dlls into the older version and have it just work.
Bolide

Somehow in one of my builds the dependent Alteryx DLLs had the "Copy Local" setting set to "true".  I think this may have been forcing the tool to use the version dictated by those DLLs rather than that of the actual Alteryx Designer installation, so I updated the setting to "false" and recompiled.  I sent the executable to one of the users who reported the issue.  I'll let you guys know this fixed the issue for the user.

Bolide

I discovered that the InstallShield application I was using to install the tool was still pulling in version-specific DLLs.  I removed that dependence and have already had a user verify they were able to install and run the tool on an older version (11.3).